 
/*  @(#)color.h 1.8 91/11/07
 *
 *  Colormap definitions used by reve.
 *
 *  Copyright (C) 1990, 1991 - Rich Burridge & Yves Gallot.
 *  All rights reserved.
 *
 *  Permission is granted to copy this source, for redistribution
 *  in source form only, provided the news headers in "substantially
 *  unaltered format" are retained, the introductory messages are not
 *  removed, and no monies are exchanged.
 *
 *  Permission is also granted to copy this source, without the
 *  news headers, for the purposes of making an executable copy by
 *  means of compilation, provided that such copy will not be used
 *  for the purposes of competition in any othello tournaments, without
 *  prior permission from the authors.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if reported
 *  (see README file), then an attempt will be made to fix them.
 */

#define  REVE_COLOR          "revecolor"
#define  REVE_COLORSIZE      16
#define  REVE_USEDCOLORSIZE  10

#define  C_WHITE    0
#define  C_BLACK    1
#define  C_PANEL    2
#define  C_SQUARE   3
#define  C_BORDER   4
#define  C_GRID     5
#define  C_TEXT     6
#define  C_ITEMS    7
#define  C_BSTONE   8
#define  C_WSTONE   9
 
/*  With the SunView version, on O/S releases earlier than 4.1.1, the last
 *  entry is the color of all borders (tool, buttons, and stones).
 */

#define reve_colorsetup(r, g, b) \
        (r)[C_WHITE]  = 255 ;  (g)[C_WHITE]  = 255 ;  (b)[C_WHITE]  = 255 ; \
        (r)[C_BLACK]  = 0   ;  (g)[C_BLACK]  = 0   ;  (b)[C_BLACK]  = 0   ; \
        (r)[C_PANEL]  = 255 ;  (g)[C_PANEL]  = 240 ;  (b)[C_PANEL]  = 220 ; \
        (r)[C_SQUARE] = 200 ;  (g)[C_SQUARE] = 150 ;  (b)[C_SQUARE] = 100 ; \
        (r)[C_BORDER] = 185 ;  (g)[C_BORDER] = 145 ;  (b)[C_BORDER] = 100 ; \
        (r)[C_GRID]   = 200 ;  (g)[C_GRID]   = 200 ;  (b)[C_GRID]   = 200 ; \
        (r)[C_TEXT]   = 0   ;  (g)[C_TEXT]   = 0   ;  (b)[C_TEXT]   = 0   ; \
        (r)[C_ITEMS]  = 200 ;  (g)[C_ITEMS]  = 200 ;  (b)[C_ITEMS]  = 200 ; \
        (r)[C_BSTONE] = 0   ;  (g)[C_BSTONE] = 0   ;  (b)[C_BSTONE] = 0   ; \
        (r)[C_WSTONE] = 255 ;  (g)[C_WSTONE] = 255 ;  (b)[C_WSTONE] = 255 ; \
        (r)[10]	      = 0   ;  (g)[10]	     = 0   ;  (b)[10]	    = 0	  ; \
        (r)[11]	      = 0   ;  (g)[11]	     = 0   ;  (b)[11]	    = 0   ; \
        (r)[12]	      = 0   ;  (g)[12]	     = 0   ;  (b)[12]	    = 0   ; \
        (r)[13]	      = 0   ;  (g)[13]	     = 0   ;  (b)[13]	    = 0   ; \
        (r)[14]	      = 0   ;  (g)[14]	     = 0   ;  (b)[14]	    = 0   ; \
        (r)[15]	      = 0   ;  (g)[15]	     = 0   ;  (b)[15]	    = 0   ;
